org.jbpm.casemgmt.impl.dynamic

## Class WorkItemTaskSpecification

- java.lang.Object
- - org.jbpm.casemgmt.impl.dynamic.WorkItemTaskSpecification

- All Implemented Interfaces:
    TaskSpecification

      public class WorkItemTaskSpecification
      extends Object
      implements TaskSpecification

  Defines work item task specification to create new "service" task in ad hoc (dynamic) process instance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkItemTaskSpecification(String nodeType, String nodeName, Map<String,Object> parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNodeType()` Returns the type of the node that will be added.
    `Map<String,Object>` | `getParameters()` Optional set of parameters to be given to created dynamic task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkItemTaskSpecification

          public WorkItemTaskSpecification(String nodeType,
                                           String nodeName,
                                           Map<String,Object> parameters)

  - ### Method Detail

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `TaskSpecification`
      Returns the type of the node that will be added. Usually it corresponds to the name used when registering work item handler.
      Specified by:
        `getNodeType` in interface `TaskSpecification`
      Returns:

    - #### getParameters

          public Map<String,Object> getParameters()

      Description copied from interface: `TaskSpecification`
      Optional set of parameters to be given to created dynamic task.
      Specified by:
        `getParameters` in interface `TaskSpecification`
      Returns:

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.